Update an existing Agent
curl --request PATCH \
--url https://commerce.driv.ly/api/agents/{id} \
--header 'Content-Type: application/json' \
--data '
{
"id": "ai_3jks93ndk3s9",
"model": "gpt-4o",
"prompt": "Respond to the customer service request",
"functions": [
"fnc_ed904md03684"
]
}
'import requests
url = "https://commerce.driv.ly/api/agents/{id}"
payload = {
"id": "ai_3jks93ndk3s9",
"model": "gpt-4o",
"prompt": "Respond to the customer service request",
"functions": ["fnc_ed904md03684"]
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'ai_3jks93ndk3s9',
model: 'gpt-4o',
prompt: 'Respond to the customer service request',
functions: ['fnc_ed904md03684']
})
};
fetch('https://commerce.driv.ly/api/agents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://commerce.driv.ly/api/agents/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'id' => 'ai_3jks93ndk3s9',
'model' => 'gpt-4o',
'prompt' => 'Respond to the customer service request',
'functions' => [
'fnc_ed904md03684'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://commerce.driv.ly/api/agents/{id}"
payload := strings.NewReader("{\n \"id\": \"ai_3jks93ndk3s9\",\n \"model\": \"gpt-4o\",\n \"prompt\": \"Respond to the customer service request\",\n \"functions\": [\n \"fnc_ed904md03684\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://commerce.driv.ly/api/agents/{id}")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"ai_3jks93ndk3s9\",\n \"model\": \"gpt-4o\",\n \"prompt\": \"Respond to the customer service request\",\n \"functions\": [\n \"fnc_ed904md03684\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://commerce.driv.ly/api/agents/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"ai_3jks93ndk3s9\",\n \"model\": \"gpt-4o\",\n \"prompt\": \"Respond to the customer service request\",\n \"functions\": [\n \"fnc_ed904md03684\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "ai_3jks93ndk3s9",
"model": "gpt-4o",
"prompt": "Respond to the customer service request",
"functions": [
"fnc_ed904md03684"
]
},
"success": true
}{
"error": {
"code": 401,
"message": "Unauthorized"
},
"success": false
}{
"error": {
"code": 404,
"message": "Agent Not Found"
},
"success": false
}{
"error": {
"code": 429,
"message": "Too Many Requests"
},
"success": false
}AI
Update an existing Agent
PATCH
/
agents
/
{id}
Update an existing Agent
curl --request PATCH \
--url https://commerce.driv.ly/api/agents/{id} \
--header 'Content-Type: application/json' \
--data '
{
"id": "ai_3jks93ndk3s9",
"model": "gpt-4o",
"prompt": "Respond to the customer service request",
"functions": [
"fnc_ed904md03684"
]
}
'import requests
url = "https://commerce.driv.ly/api/agents/{id}"
payload = {
"id": "ai_3jks93ndk3s9",
"model": "gpt-4o",
"prompt": "Respond to the customer service request",
"functions": ["fnc_ed904md03684"]
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'ai_3jks93ndk3s9',
model: 'gpt-4o',
prompt: 'Respond to the customer service request',
functions: ['fnc_ed904md03684']
})
};
fetch('https://commerce.driv.ly/api/agents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://commerce.driv.ly/api/agents/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'id' => 'ai_3jks93ndk3s9',
'model' => 'gpt-4o',
'prompt' => 'Respond to the customer service request',
'functions' => [
'fnc_ed904md03684'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://commerce.driv.ly/api/agents/{id}"
payload := strings.NewReader("{\n \"id\": \"ai_3jks93ndk3s9\",\n \"model\": \"gpt-4o\",\n \"prompt\": \"Respond to the customer service request\",\n \"functions\": [\n \"fnc_ed904md03684\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://commerce.driv.ly/api/agents/{id}")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"ai_3jks93ndk3s9\",\n \"model\": \"gpt-4o\",\n \"prompt\": \"Respond to the customer service request\",\n \"functions\": [\n \"fnc_ed904md03684\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://commerce.driv.ly/api/agents/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"ai_3jks93ndk3s9\",\n \"model\": \"gpt-4o\",\n \"prompt\": \"Respond to the customer service request\",\n \"functions\": [\n \"fnc_ed904md03684\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "ai_3jks93ndk3s9",
"model": "gpt-4o",
"prompt": "Respond to the customer service request",
"functions": [
"fnc_ed904md03684"
]
},
"success": true
}{
"error": {
"code": 401,
"message": "Unauthorized"
},
"success": false
}{
"error": {
"code": 404,
"message": "Agent Not Found"
},
"success": false
}{
"error": {
"code": 429,
"message": "Too Many Requests"
},
"success": false
}Path Parameters
Agent is uniquely identified by id
Query Parameters
The number of levels of related objects to include in the response
Body
application/json